# Generated by rust2rpm 20
%bcond_without check

%global crate hyperfine

Name:           rust-%{crate}
Version:        1.12.0
Release:        %autorelease
Summary:        Command-line benchmarking tool

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/hyperfine
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         hyperfine-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Command-line benchmarking tool.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# MIT
# MIT or ASL 2.0
# MPLv2.0
# Unlicense or MIT
License:        MIT and MPLv2.0 and (ASL 2.0 or Boost)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{_bindir}/hyperfine
%{_mandir}/man1/hyperfine.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/hyperfine.bash
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/hyperfine.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_hyperfine

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  doc/hyperfine.1
install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  target/release/build/%{crate}-*/out/hyperfine.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_completions.d \
  target/release/build/%{crate}-*/out/hyperfine.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  target/release/build/%{crate}-*/out/_hyperfine

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
